package com.ozs.web.controller.plan;

import com.ozs.common.core.controller.BaseController;
import com.ozs.common.core.domain.AjaxResult;
import com.ozs.system.service.ISysDictTypeService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 年度计划信息中的枚举类信息
 *
 * @author buzhanyi
 */
@RestController
@RequestMapping("/plan/about")
public class PlanEnumsController extends BaseController {

    @Autowired
    private ISysDictTypeService dictTypeService;

    /**
     * 获取年度计划信息中的枚举类信息(下拉框数据)
     *
     * @return 年度计划信息中的枚举类信息(下拉框数据)
     */
    @ApiOperation(value = "年度计划信息中的枚举类信息(下拉框数据)")
    @PostMapping("/getAboutEnums")
    public AjaxResult getAboutEnums() {
        return AjaxResult.success(dictTypeService.getAboutEnums());
    }

}
