package com.ozs.base.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ozs.base.domain.vo.BaseExpertVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.joda.time.DateTime;

@Data
@TableName("base_expert")
public class BaseExpert {

    /**
     * 主键ID
     */
    @ApiModelProperty(value = "id")
    @TableField("id")
    private Integer id;

    /**
     * 专家名称
     */
    @ApiModelProperty(value = "专家名称")
    @TableField("expert_name")
    private String expertName;

    /**
     * 专家性别
     */
    @ApiModelProperty(value = "专家性别")
    @TableField("expert_gender")
    private String expertGender;

    /**
     * 出生年月
     */
    @ApiModelProperty(value = "出生年月")
    @TableField("expert_date_birth")
    private String expertDateBirth;

    /**
     * 联系方式
     */
    @ApiModelProperty(value = "联系方式")
    @TableField("expert_tel")
    private String expertTel;

    /**
     * 专业类型
     */
    @ApiModelProperty(value = "专业类型")
    @TableField("major_type")
    private String majorType;

    /**
     * 单位信息
     */
    @ApiModelProperty(value = "单位信息")
    @TableField("unit_information")
    private String unitInformation;

    /**
     * 专业等级
     */
    @ApiModelProperty(value = "专业等级")
    @TableField("major_grade")
    private String majorGrade;

    /**
     * 采购品种
     */
    @ApiModelProperty(value = "采购品种")
    @TableField("variety_purchase")
    private String varietyPurchase;

    /**
     * 职称
     */
    @ApiModelProperty(value = "职称")
    @TableField("professional_title")
    private String professionalTitle;

    /**
     * 状态 黑白名单
     */
    @ApiModelProperty(value = "状态 黑白名单")
    @TableField("status")
    private String status;
}
