package com.ozs.base.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ozs.common.annotation.Excel;
import com.ozs.common.vo.BaseDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;

/**
 * 公告类型管理对象 base_announcement_type
 *
 * @author ruoyi
 * @date 2023-01-14
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel("公告类型管理对象")
public class BaseNoticeType extends BaseDto
{

    /** 主键id */
    @ApiModelProperty("主键ID")
    @TableId(type = IdType.AUTO)
    private Long id;

    /** 名称 */
    @Excel(name = "公告类型名称")
    @ApiModelProperty("公告类型名称")
    @NotBlank(message = "公告类型名称不能为空")
    private String name;

    /** 备注 */
    @Excel(name = "备注")
    @ApiModelProperty("公告类型名称")
    private String remark;


}
