package com.ozs.home.domain;


import com.ozs.common.annotation.Excel;
import com.ozs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 首页公告
 * @author Administrator
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel("首页公告")
public class HomeNotice extends BaseEntity {

    /** 主键 */
    private Long homeNoticeId;

    /** 首页分类（0需求单位首页1采购管理部门首页2采购部首页） */
    private Integer homepageClassification;

    /** 公告分类（0采购公告1中标公告2流标公告） */
    private Integer announcementClassification;

    /** 公告名称 */
    private String noticeName;

    /** 公告时间 */
    private Date noticeTime;

    /** 采购项目编号 */
    private Long projectNo;

    /** 合同履行日期 */
    private String performanceDate;

    /** 采购项目名称 */
    private String projectName;
}
