package com.ozs.pm.doman;

import java.math.BigDecimal;
import com.ozs.common.annotation.Excel;
import com.ozs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 采购需求工程类对象 pm_demand_engineering
 *
 * @author ruoyi
 * @date 2023-01-16
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel("采购需求工程类对象")
public class PmDemandEngineering extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long demandEngineeringId;

    /** 需求ID */
    @Excel(name = "需求ID")
    private Long demandId;

    /** 工程项目名称 */
    @Excel(name = "工程项目名称")
    private String engineeringName;

    /** 建设地点 */
    @Excel(name = "建设地点")
    private String constructionLocation;

    /** 设计任务书批复文号 */
    @Excel(name = "设计任务书批复文号")
    private String designAssignmenApprovalNumber;

    /** 工程建设计划文号 */
    @Excel(name = "工程建设计划文号")
    private BigDecimal projectConstructionPlanNumber;

    /** 任务书批复规模(㎡): */
    @Excel(name = "任务书批复规模(㎡):")
    private BigDecimal tassignmentApprovalScale;

    /** 任务书批复投资 */
    @Excel(name = "任务书批复投资")
    private String tassignmentApprovalInvestmen;

    /** 规划许可文号 */
    @Excel(name = "规划许可文号")
    private String planningLicenseNumber;

    /** 密级处理 */
    @Excel(name = "密级处理")
    private String classifiedTreatment;

    /** 采购项目规模(㎡) */
    @Excel(name = "采购项目规模(㎡)")
    private BigDecimal procurementProjectScale;

    /** 采购项目投资(万元) */
    @Excel(name = "采购项目投资(万元)")
    private BigDecimal procurementProjectInvestment;

    /** 联系人 */
    @Excel(name = "联系人")
    private String linkman;

    /** 电话 */
    @Excel(name = "电话")
    private String phone;

    /** 项目类别 */
    @Excel(name = "项目类别")
    private String projectCategory;

    /** 承包方式 */
    @Excel(name = "承包方式")
    private String contractingMode;

    /** 施工图是否完成(0未完成，1完成) */
    @Excel(name = "施工图是否完成(0未完成，1完成)")
    private String constructionDrawing;

    /** 设计单位 */
    @Excel(name = "设计单位")
    private String designUnit;

    /** 最高限价 */
    @Excel(name = "最高限价")
    private BigDecimal ceilingPrice;

    /** 采购方式建议 */
    @Excel(name = "采购方式建议")
    private String procurementMethodSuggest;

    /** 投标(报价)人资质等级要求 */
    @Excel(name = "投标(报价)人资质等级要求")
    private String qualificationLevelRequirement;

    /** 供应商 */
    @Excel(name = "供应商")
    private Long supplierId;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

}
