package com.ozs.pm.doman;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ozs.common.annotation.Excel;
import com.ozs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 采购需求装备类对象 pm_demand_equip
 *
 * @author ruoyi
 * @date 2023-01-16
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel("采购需求装备类对象")
public class PmDemandEquip extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long demandEquipId;

    /** 需求ID */
    @Excel(name = "需求ID")
    private Long demandId;

    /** 物资类别及品种名称 */
    @Excel(name = "物资类别及品种名称")
    private String typeAndName;

    /** 规格型号长*宽*高 */
    @Excel(name = "规格型号长*宽*高")
    private String specification;

    /** 质量技术标准(技术参数): */
    @Excel(name = "质量技术标准(技术参数):")
    private String qualityTechnicalStandard;

    /** 计量单位 */
    @Excel(name = "计量单位")
    private String measurementUnit;

    /** 采购数量 */
    @Excel(name = "采购数量")
    private BigDecimal procurementQuantity;

    /** 单价(元) */
    @Excel(name = "单价(元)")
    private BigDecimal price;

    /** 预算金额(万元) */
    @Excel(name = "预算金额(万元)")
    private BigDecimal budgetAmount;

    /** 需求提报时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "需求提报时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date demandCommitTime;

    /** 采购方式建议 */
    @Excel(name = "采购方式建议")
    private String procurementMethodSuggest;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

}
