package com.ozs.pm.doman;

import java.math.BigDecimal;
import com.ozs.common.annotation.Excel;
import com.ozs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 采购需求服务类对象 pm_demand_serve
 *
 * @author ruoyi
 * @date 2023-01-16
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel("采购需求服务类对象")
public class PmDemandServe extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long demandServeId;

    /** 需求ID */
    @Excel(name = "需求ID")
    private Long demandId;

    /** 服务项目名称 */
    @Excel(name = "服务项目名称")
    private String serviceName;

    /** 技术服务要求 */
    @Excel(name = "技术服务要求")
    private String technicalServiceRequirement;

    /** 计量单位 */
    @Excel(name = "计量单位")
    private String measurementUnit;

    /** 采购数量 */
    @Excel(name = "采购数量")
    private BigDecimal procurementQuantity;

    /** 单价(元) */
    @Excel(name = "单价(元)")
    private BigDecimal price;

    /** 预算金额(万元) */
    @Excel(name = "预算金额(万元)")
    private BigDecimal budgetAmount;

    /** 交货期限 */
    @Excel(name = "交货期限")
    private String deliveryTimeLimit;

    /** 采购方式建议 */
    @Excel(name = "采购方式建议")
    private String procurementMethodSuggest;

    /** 供应商 */
    @Excel(name = "供应商")
    private Long supplierId;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

}
