package com.ozs.pm.doman.vo.requestVo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ozs.common.annotation.Excel;
import com.ozs.common.core.domain.BaseEntity;
import com.ozs.system.domain.SysFileRef;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 采购需求物资类对象 pm_demand_materials
 *
 * @author ruoyi
 * @date 2023-01-16
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel("采购需求物资类对象")
public class PmDemandMaterialsReqVo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long demandMaterialsId;

    /**
     * 需求ID
     */
    @Excel(name = "需求ID")
    @ApiModelProperty("需求ID")
    private Long demandId;

    /**
     * 物资类别及品种名称
     */
    @Excel(name = "物资类别及品种名称")
    @ApiModelProperty("物资类别及品种名称")
    private String typeAndName;

    /**
     * 规格型号长*宽*高
     */
    @Excel(name = "规格型号长*宽*高")
    @ApiModelProperty("规格型号长*宽*高")
    private String specification;

    /**
     * 质量技术标准(技术参数)
     */
    @Excel(name = "质量技术标准(技术参数)")
    @ApiModelProperty("质量技术标准(技术参数)")
    private String qualityTechnicalStandard;

    /**
     * 计量单位
     */
    @Excel(name = "计量单位")
    @ApiModelProperty("计量单位")
    private String measurementUnit;

    /**
     * 采购数量
     */
    @Excel(name = "采购数量")
    @ApiModelProperty("采购数量")
    private BigDecimal procurementQuantity;

    /**
     * 单价(元)
     */
    @Excel(name = "单价(元)")
    @ApiModelProperty("单价(元)")
    private BigDecimal price;

    /**
     * 预算金额(万元)
     */
    @Excel(name = "预算金额(万元)")
    @ApiModelProperty("预算金额(万元)")
    private BigDecimal budgetAmount;

    /**
     * 需求提报时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "需求提报时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("需求提报时间")
    private Date demandCommitTime;

    /**
     * 采购方式建议
     */
    @Excel(name = "采购方式建议（1公开招标，2邀请招标，3竞争性谈判，4询价，5单一来源）")
    @ApiModelProperty("采购方式建议（1公开招标，2邀请招标，3竞争性谈判，4询价，5单一来源）")
    private String procurementMethodSuggest;

    /** 采购方式建议名 */
    @Excel(name = "采购方式建议名（1公开招标，2邀请招标，3竞争性谈判，4询价，5单一来源）")
    @ApiModelProperty("采购方式建议名（1公开招标，2邀请招标，3竞争性谈判，4询价，5单一来源）")
    private String procurementMethodSuggestName;

    /**
     * 备注
     */
    @Excel(name = "备注")
    @ApiModelProperty("备注")
    private String remarks;

    /**
     * 上传附件
     */
    @ApiModelProperty("上传附件")
    private List<SysFileRef> sysFileRefs;
}
