package com.ozs.pm.doman.vo.requestVo;

import com.ozs.common.vo.PageVo;
import com.ozs.system.domain.SysFileRef;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;


/**
 * 采购需求对象 pm_demand
 *
 * @author ruoyi
 * @date 2023-01-16
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel("采购需求查询对象")
public class PmDemandReqVo extends PageVo
{
    /** 主键 */
    @ApiModelProperty("主键")
    private Long demandId;

    /** 项目名称 */
    @ApiModelProperty("项目名称")
    private String projectName;

    /** 采购服务站 */
    @ApiModelProperty("采购服务站")
    private String purchaseServices;


    /** 项目状态(4:需求待填制，5:需求待提交，6:需求待审核，7:任务待下达，8:任务已下达，9:中标信息待填制，10:中标信息已填制，11:合同待填制，12:合同已填制，13:项目建设中，14:项目建设完成) */
    @ApiModelProperty("项目状态(4:需求待填制，5:需求待提交，6:需求待审核，7:任务待下达，8:任务已下达，9:中标信息待填制，10:中标信息已填制，11:合同待填制，12:合同已填制，13:项目建设中，14:项目建设完成)")
    private Long projectStatus;

    /** 是否为超限额计划(0:未超额，1:超额) */
    @ApiModelProperty("是否为超限额计划(0:未超额，1:超额)")
    private Integer isExcess;

    /** 开始日期 */
    @ApiModelProperty("开始日期 yyyy-MM-dd")
    private String beginDate;

    /** 结束日期 */
    @ApiModelProperty("结束日期 yyyy-MM-dd")
    private String endDate;

    /** 退回原因 */
    @ApiModelProperty("退回原因")
    private String refuseReason;
    /**
     * 更改者
     */
    @ApiModelProperty("更改者")
    private String updateBy;

    /**
     * 上传附件
     */
    @ApiModelProperty("上传附件")
    private List<SysFileRef> sysFileRefs;

    /** 模块名称 */
    @ApiModelProperty("模块名称")
    private String moduleName;

}
