package com.ozs.pm.doman.vo.requestVo;

import com.ozs.common.annotation.Excel;
import com.ozs.common.core.domain.BaseEntity;
import com.ozs.system.domain.SysFileRef;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.List;

/**
 * 采购需求服务类对象 pm_demand_serve
 *
 * @author ruoyi
 * @date 2023-01-16
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel("采购需求服务类对象")
public class PmDemandServeReqVo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long demandServeId;

    /** 需求ID */
    @Excel(name = "需求ID")
    @ApiModelProperty("需求ID")
    private Long demandId;

    /** 服务项目名称 */
    @Excel(name = "服务项目名称")
    @ApiModelProperty("服务项目名称")
    private String serviceName;

    /** 技术服务要求 */
    @Excel(name = "技术服务要求")
    @ApiModelProperty("技术服务要求")
    private String technicalServiceRequirement;

    /** 计量单位 */
    @Excel(name = "计量单位")
    @ApiModelProperty("计量单位")
    private String measurementUnit;

    /** 采购数量 */
    @Excel(name = "采购数量")
    @ApiModelProperty("采购数量")
    private BigDecimal procurementQuantity;

    /** 单价(元) */
    @Excel(name = "单价(元)")
    @ApiModelProperty("单价(元)")
    private BigDecimal price;

    /** 预算金额(万元) */
    @Excel(name = "预算金额(万元)")
    @ApiModelProperty("预算金额(万元)")
    private BigDecimal budgetAmount;

    /** 交货期限 */
    @Excel(name = "交货期限")
    @ApiModelProperty("交货期限")
    private String deliveryTimeLimit;

    /** 采购方式建议（1公开招标，2邀请招标，3竞争性谈判，4询价，5单一来源） */
    @Excel(name = "采购方式建议（1公开招标，2邀请招标，3竞争性谈判，4询价，5单一来源）")
    @ApiModelProperty("采购方式建议（1公开招标，2邀请招标，3竞争性谈判，4询价，5单一来源）")
    private String procurementMethodSuggest;

    /** 采购方式建议名 */
    @Excel(name = "采购方式建议名（1公开招标，2邀请招标，3竞争性谈判，4询价，5单一来源）")
    @ApiModelProperty("采购方式建议名（1公开招标，2邀请招标，3竞争性谈判，4询价，5单一来源）")
    private String procurementMethodSuggestName;

    /** 供应商 */
    @Excel(name = "供应商")
    @ApiModelProperty("供应商")
    private Long supplierId;

    /** 供应商名 */
    @Excel(name = "供应商名")
    @ApiModelProperty("供应商名")
    private String supplierName;


    /** 备注 */
    @Excel(name = "备注")
    @ApiModelProperty("备注")
    private String remarks;

    /**
     * 上传附件
     */
    @ApiModelProperty("上传附件")
    private List<SysFileRef> sysFileRefs;
}
