package com.ozs.pm.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ozs.plan.doman.PlanYears;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ozs.pm.doman.PmDemand;

import java.util.List;


/**
 * 采购需求Mapper接口
 * 
 * @author ruoyi
 * @date 2023-01-16
 */
public interface PmDemandMapper extends BaseMapper<PmDemand>
{
    /**
     * 查询采购需求
     * 
     * @param demandId 采购需求主键
     * @return 采购需求
     */
    public PmDemand selectPmDemandByDemandId(Long demandId);

    /**
     * 查询采购需求列表
     * 
     * @param pmDemand 采购需求
     * @return 采购需求集合
     */
    public List<PmDemand> selectPmDemandList(PmDemand pmDemand);

    /**
     * 新增采购需求
     * 
     * @param pmDemand 采购需求
     * @return 结果
     */
    public int insertPmDemand(PmDemand pmDemand);

    /**
     * 修改采购需求
     * 
     * @param pmDemand 采购需求
     * @return 结果
     */
    public int updatePmDemand(PmDemand pmDemand);


}
